> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arouter.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# モデルのエンドポイント一覧

> 特定のモデルで利用可能なすべてのプロバイダーエンドポイントを取得します（価格、コンテキスト長、機能を含む）。

特定のモデルで利用可能なすべてのプロバイダーエンドポイントを取得します。このエンドポイントを使用して、プロバイダーごとの価格、コンテキスト長、量子化、機能サポートを確認できます。

## エンドポイント

```
GET /api/v1/models/{author}/{slug}/endpoints
```

## パスパラメータ

| パラメータ    | 説明                                       |
| -------- | ---------------------------------------- |
| `author` | モデル作者（例：`openai`、`anthropic`、`google`）   |
| `slug`   | モデルスラッグ（例：`gpt-5.4`、`claude-sonnet-4.6`） |

## リクエスト例

```bash theme={null}
curl "https://api.arouter.ai/api/v1/models/openai/gpt-5.4/endpoints" \
  -H "Authorization: Bearer lr_live_xxxx"
```

## レスポンス例

```json theme={null}
{
  "data": [
    {
      "provider_id": "OpenAI",
      "provider_name": "OpenAI",
      "model": "openai/gpt-5.4",
      "context_length": 128000,
      "max_completion_tokens": 16384,
      "pricing": {
        "prompt": 0.0000025,
        "completion": 0.0000100,
        "image": 0.0,
        "request": 0.0
      },
      "quantization": "fp16",
      "is_zdr": true,
      "supported_parameters": ["tools", "response_format", "stream", "max_tokens"]
    },
    {
      "provider_id": "Azure",
      "provider_name": "Azure OpenAI",
      "model": "openai/gpt-5.4",
      "context_length": 128000,
      "max_completion_tokens": 16384,
      "pricing": {
        "prompt": 0.0000025,
        "completion": 0.0000100
      },
      "quantization": "fp16",
      "is_zdr": true,
      "supported_parameters": ["tools", "response_format", "stream", "max_tokens"]
    }
  ]
}
```

## レスポンスフィールド

| フィールド                   | 型          | 説明                                             |
| ----------------------- | ---------- | ---------------------------------------------- |
| `provider_id`           | `string`   | ルーティングで使用するプロバイダー ID                           |
| `provider_name`         | `string`   | 人間が読めるプロバイダー名                                  |
| `model`                 | `string`   | 完全なモデル ID                                      |
| `context_length`        | `integer`  | 最大入力コンテキスト（トークン数）                              |
| `max_completion_tokens` | `integer`  | 最大出力トークン数                                      |
| `pricing.prompt`        | `number`   | プロンプトトークンあたりのコスト（USD）                          |
| `pricing.completion`    | `number`   | 補完トークンあたりのコスト（USD）                             |
| `quantization`          | `string`   | 重み量子化：`fp32`、`fp16`、`bf16`、`fp8`、`int8`、`int4` |
| `is_zdr`                | `boolean`  | このエンドポイントがゼロデータリテンションをサポートするかどうか               |
| `supported_parameters`  | `string[]` | このエンドポイントがサポートするパラメータ                          |

## 注意事項

* このエンドポイントのプロバイダー ID を `provider.order`、`provider.only`、`provider.ignore` で使用してください
* 価格はトークンあたり（1k トークンあたりではない）
* エンドポイント機能によるルーティングについては[プロバイダールーティング](/jp/provider-routing)を参照してください
